summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristian Ruppert <idl0r@gentoo.org>2009-04-20 14:06:46 +0000
committerChristian Ruppert <idl0r@gentoo.org>2009-04-20 14:06:46 +0000
commitdba5b21a1b2267e3b89a21ae09cb682dec54901b (patch)
treee0a8598efda7d7d34740a74e291c2b7139670b01 /app-backup/darbackup/darbackup-0.7.27.ebuild
parentapp-misc/freeme2: Live ebuilds shouldn't have KEYWORDS. Added missing die sta... (diff)
downloadsunrise-dba5b21a1b2267e3b89a21ae09cb682dec54901b.tar.gz
sunrise-dba5b21a1b2267e3b89a21ae09cb682dec54901b.tar.bz2
sunrise-dba5b21a1b2267e3b89a21ae09cb682dec54901b.zip
app-backup/darbackup: Live ebuilds shouldn't have KEYWORDS. Migrated to EAPI 2. Added missing die statements.
svn path=/sunrise/; revision=8364
Diffstat (limited to 'app-backup/darbackup/darbackup-0.7.27.ebuild')
-rw-r--r--app-backup/darbackup/darbackup-0.7.27.ebuild19
1 files changed, 9 insertions, 10 deletions
diff --git a/app-backup/darbackup/darbackup-0.7.27.ebuild b/app-backup/darbackup/darbackup-0.7.27.ebuild
index 5cbef8be6..a3a5ce0eb 100644
--- a/app-backup/darbackup/darbackup-0.7.27.ebuild
+++ b/app-backup/darbackup/darbackup-0.7.27.ebuild
@@ -1,7 +1,9 @@
-# Copyright 1999-2008 Gentoo Foundation
+# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
+EAPI="2"
+
inherit eutils subversion
ESVN_REPO_URI="https://faracvs.cs.uni-magdeburg.de/svn/christsc/${PN}/${PN}/branches/${PV}"
@@ -11,22 +13,19 @@ HOMEPAGE="https://faracvs.cs.uni-magdeburg.de/projects/christsc-darbackup/"
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE=""
+KEYWORDS=""
+IUSE="dar64"
-RDEPEND=">=app-backup/dar-2.2.6
+RDEPEND="!dar64? ( app-backup/dar[dar32] )
+ dar64? ( app-backup/dar[dar64] )
|| ( dev-util/bdelta dev-util/xdelta )
net-misc/openssh"
pkg_setup() {
- if ! built_with_use -o app-backup/dar dar32 dar64; then
- die 'You must have either dar32 or dar64 useflags for app-backup/dar enabled.'
- fi
-
enewgroup backup
}
src_install() {
- dobin darbackup
- doman darbackup.1
+ dobin darbackup || die "dobin failed"
+ doman darbackup.1 || die "doman failed"
}